#include "FontItem.h"

FontItem::FontItem(const std::string& faceName, float size)
    :   mSize(size),
        mFaceName(faceName)

{

}

bool FontItem::hasPath() const
{
    return !mPath.empty();
}

const Path& FontItem::getPath() const
{
    return mPath;
}

void FontItem::setPath(const Path& path)
{
    mPath = path;
}

const std::string& FontItem::getFaceName() const
{
    return mFaceName;
}

float FontItem::getSize() const
{
    return mSize;
}
